---
title: Read One Integration Metadata
description: Use the GET {{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}} endpoint to retrieve the integration metadata for the integration with the provided {{integrationID}}.
component: pingone-api
page_id: pingone-api:platform:integration-catalog/get-one-integration
canonical_url: https://developer.pingidentity.com/pingone-api/platform/integration-catalog/get-one-integration.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
  example-response-2: Example Response
---

# Read One Integration Metadata

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}
```

Use the `GET {{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}` endpoint to retrieve the integration metadata for the integration with the provided *{{integrationID}}*.

> **Collapse: Query parameters**
>
> | Parameter | Description                                                                                                                                                                                                                                                                                                                                                                                        |
> | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
> | `expand`  | Use the `expand` flag to return relevant data from the request. For example, if you call `{{apiPath}}/v1/environments/{{envID}}/integrations?expand=versions`, you will receive version information within the response data. The options for the `expand` flag include:\* `versions` - Include version information.\* `latestVersion` - Include only the latest version metadata in the response. |

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/integrations/{{integrationID}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/integrations/{{integrationID}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/integrations/c1dacdcb-d436-4b90-89ff-392cf8d4bfbb"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "versions": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/integrations/c1dacdcb-d436-4b90-89ff-392cf8d4bfbb/versions"
        }
    },
    "id": "c1dacdcb-d436-4b90-89ff-392cf8d4bfbb",
    "name": "BrainStorm",
    "publisher": "Ping Identity",
    "pingProductNames": [
        "PINGONE"
    ],
    "logo": {
        "id": "0d41ee4a-6f31-42a6-a841-37b12dd8bfa1",
        "href": "https://uploads.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/images/0d41ee4a-6f31-42a6-a841-37b12dd8bfa1_53b31880-5286-4c4a-99b1-3a08864a14ba_original.png"
    },
    "createdAt": "2021-11-16T21:26:13.401Z",
    "enabled": true
}
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/integrations/c1e53d76-bae4-402c-b198-8cfd4eabe9c0"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "versions": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/integrations/c1e53d76-bae4-402c-b198-8cfd4eabe9c0/versions"
        }
    },
    "id": "c1e53d76-bae4-402c-b198-8cfd4eabe9c0",
    "name": "My Integration",
    "thirdParty": {
        "companyName": "My best company",
        "products": [
            "prod2",
            "prod1"
        ]
    },
    "publisher": "My Org",
    "tags": [
        "IDAAS",
        "MFA",
        "INTELLIGENCE"
    ],
    "pingProductNames": [
        "PINGDIRECTORY",
        "PINGACCESS"
    ],
    "marketingLandingPageUrl": "https://example.com",
    "createdAt": "2021-11-19T17:06:57.668Z",
    "description": "Test 3"
}
```
